import java.awt.*;  //das Paket awt wird in dieser Klasse sichtbar gemacht
import java.awt.event.*; //und das Paket fr Ereignisbehandlung

public class Layout extends Frame {      	//Unsere Klasse erweitert die Klasse Frame
	public Layout() {			//Konstruktor
		super("GridLayout");	//Den Titel festlegen

		Button butt1 = new Button("Button1");		//Button-Komponente
		Button butt2 = new Button("Button2");		//Button-Komponente
		Button butt3 = new Button("Button3");		//Button-Komponente
		Button butt4 = new Button("Button4");		//Button-Komponente
		Button butt5 = new Button("Button5");		//Button-Komponente

		Panel myContainer = new Panel();			//spezieller Container
		myContainer.setLayout(new GridLayout(3,2));		//Layout einsetzen

		myContainer.add(butt1);	
		myContainer.add(butt2);
		myContainer.add(butt3);
		myContainer.add(butt4);
		myContainer.add(butt5);

		this.add(myContainer);					//Container dem Fenster
									//hinzufgen
		this.enableEvents(AWTEvent.WINDOW_EVENT_MASK);		//Ereignisse ermglichen
	}

	protected void processWindowEvent(WindowEvent e) {		//Fenster-ereignisse
        	if (e.getID()==WindowEvent.WINDOW_CLOSING) {		//behandeln
			dispose();                      // Ressourcen des Fensters freigeben
			System.exit(0);                 // Programm beenden
		}
	} // Ende Methode processWindowEvent()

	public static void main(String[] arg) {		//Das Hauptprogramm
		Layout myWin = new Layout();
		myWin.pack();
		myWin.show();
	}
}