import java.awt.*;  //das Paket awt wird in dieser Klasse sichtbar gemacht
import java.awt.event.*; // Ereignisbehandlung

public class WinVier extends Frame {      	//Unsere Klasse erweitert die Klasse Frame
	public WinVier() {			//Konstruktor
		super("mit Komponenten");	//Den Titel festlegen

		Label myHeader = new Label("Hier Text eingeben:");	//Labelkomponente
		TextField eingabeFeld = new TextField("hier", 20);	//Textfeld-Komponente
		Button klicker = new Button("Beenden");			//Button-Komponente

		klicker.addActionListener(new ActionListener() {	// in anonymer Klasse
			public void actionPerformed(ActionEvent e) {
				if (e.getActionCommand().equals("Beenden")) {	//Welche Komponente
					dispose();
					System.exit(0);
				}
			}
		});

		Panel myContainer = new Panel();			//spezieller Container
		myContainer.setLayout(new BorderLayout(5,5));		//Layout einsetzen

		myContainer.add(myHeader, BorderLayout.NORTH);		//Die Komponenten dem
		myContainer.add(eingabeFeld, BorderLayout.CENTER);	//Container hinzufgen
		myContainer.add(klicker, BorderLayout.SOUTH);

		this.add(myContainer);					//Container dem Fenster
									//hinzufgen
	}
	public static void main(String[] arg) {		//Das Hauptprogramm
		WinVier myWin = new WinVier();
		myWin.pack();
		myWin.show();
	}
}